﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:DropDownList ID="ddlCountries1" runat="server">
        <asp:ListItem Text="USA" Value="USA" Selected="True"></asp:ListItem>
        <asp:ListItem Text="Finland" Value="Finland"></asp:ListItem>
        <asp:ListItem Text="Italy" Value="Italy"></asp:ListItem>
        <asp:ListItem Text="Germany" Value="Germany"></asp:ListItem>
        <asp:ListItem Text="Mexico" Value="Mexico"></asp:ListItem>
        <asp:ListItem Text="Sweden" Value="Sweden"></asp:ListItem>
    </asp:DropDownList>
    <asp:DropDownList ID="ddlCountries2" runat="server">
        <asp:ListItem Text="USA" Value="USA"></asp:ListItem>
        <asp:ListItem Text="Finland" Value="Finland"></asp:ListItem>
        <asp:ListItem Text="Italy" Value="Italy"></asp:ListItem>
        <asp:ListItem Text="Germany" Value="Germany" Selected="True"></asp:ListItem>
        <asp:ListItem Text="Mexico" Value="Mexico"></asp:ListItem>
        <asp:ListItem Text="Sweden" Value="Sweden"></asp:ListItem>
    </asp:DropDownList>
    <hr />
    <div id="dvChart">
    </div>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/flot/0.8.3/excanvas.js" type="text/javascript"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/Chart.js/1.0.2/Chart.js" type="text/javascript"></script>
<script type="text/javascript">
$(function () {
    LoadChart();
    $("[id*=ddlCountries1], [id*=ddlCountries2]").bind("change", function () {
        LoadChart();
    });
});
function LoadChart() {
    var country1 = $("[id*=ddlCountries1]").val();
    var country2 = $("[id*=ddlCountries2]").val();
    $.ajax({
        type: "POST",
        url: "CS.aspx/GetChart",
        data: "{country1: '" + country1 + "', country2: '" + country2 + "'}",
        contentType: "application/json; charset=utf-8",
        dataType: "json",
        success: function (r) {
            var labels = r.d[0];
            var series1 = r.d[1];
            var series2 = r.d[2];
            var data = {
                labels: r.d[0],
                datasets: [
                    {
                        label: country1,
                        fillColor: "rgba(255, 255, 193, 0.2)",
                        strokeColor: "#FCD209",
                        pointColor: "#FF8C00",
                        data: series1
                    },
                    {
                        label: country2,
                        fillColor: "rgba(217, 237, 247, 0.2)",
                        strokeColor: "#BCE8F1",
                        pointColor: "#0090CB",
                        data: series2
                    }
                ]
            };
            $("#dvChart").html("");
            var canvas = document.createElement('canvas');
            $("#dvChart")[0].appendChild(canvas);

            //Fix for IE 8
            if ($.browser.msie && $.browser.version == "8.0") {
                G_vmlCanvasManager.initElement(canvas);
            }
            var ctx = canvas.getContext('2d');
            ctx.canvas.height = 300;
            ctx.canvas.width = 500;
            var lineChart = new Chart(ctx).Line(data, {
                bezierCurve: false
            });
        },
        failure: function (response) {
            alert('There was an error.');
        }
    });
}
</script>
    </form>
</body>
</html>
