﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Web.Services;

public partial class CS : System.Web.UI.Page
{
    [WebMethod]
    public static List<object> GetChart(string country1, string country2)
    {
        List<object> chartData = new List<object>();
        string query = "SELECT DISTINCT DATEPART(YEAR, OrderDate) Year FROM Orders";
        DataTable dtYears = GetData(query);
        List<int> labels = new List<int>();
        foreach (DataRow row in dtYears.Rows)
        {
            labels.Add(Convert.ToInt32(row["Year"]));
        }
        chartData.Add(labels);

        query = "SELECT DATEPART(YEAR, OrderDate) Year, COUNT(DATEPART(YEAR, OrderDate)) TotalOrders";
        query += " FROM Orders WHERE ShipCountry = '" + country1 + "' GROUP BY DATEPART(YEAR, OrderDate)";
        DataTable dtCountry1 = GetData(query);

        List<int> series1 = new List<int>();
        foreach (DataRow row in dtCountry1.Rows)
        {
            series1.Add(Convert.ToInt32(row["TotalOrders"]));
        }
        chartData.Add(series1);

        query = "SELECT DATEPART(YEAR, OrderDate) Year, COUNT(DATEPART(YEAR, OrderDate)) TotalOrders";
        query += " FROM Orders WHERE ShipCountry = '" + country2 + "' GROUP BY DATEPART(YEAR, OrderDate)";
        DataTable dtCountry2 = GetData(query);

        List<int> series2 = new List<int>();
        foreach (DataRow row in dtCountry2.Rows)
        {
            series2.Add(Convert.ToInt32(row["TotalOrders"]));
        }
        chartData.Add(series2);

        return chartData;
    }

    private static DataTable GetData(string query)
    {
        DataTable dt = new DataTable();
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand(query))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter())
                {
                    cmd.CommandType = CommandType.Text;
                    cmd.Connection = con;
                    sda.SelectCommand = cmd;
                    sda.Fill(dt);
                }
            }
            return dt;
        }
    }
}